-- MySQL dump 10.13  Distrib 5.5.12, for Win32 (x86)
--
-- Host: localhost    Database: quotagest
-- ------------------------------------------------------
-- Server version	5.1.44-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `associacao`
--

DROP TABLE IF EXISTS `associacao`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `associacao` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(120) NOT NULL,
  `telemovel` int(9) DEFAULT NULL,
  `telefone` int(9) DEFAULT NULL,
  `fax` int(20) DEFAULT NULL,
  `email` varchar(80) DEFAULT NULL,
  `morada` mediumtext,
  `localidade` varchar(80) DEFAULT NULL,
  `codigo_postal` varchar(8) DEFAULT NULL,
  `observacoes` longtext,
  `nif` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `associacao`
--

LOCK TABLES `associacao` WRITE;
/*!40000 ALTER TABLE `associacao` DISABLE KEYS */;
/*!40000 ALTER TABLE `associacao` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `associacao_cargos`
--

DROP TABLE IF EXISTS `associacao_cargos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `associacao_cargos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_assoc` int(11) NOT NULL,
  `nome` varchar(120) NOT NULL,
  `nome_pessoa` varchar(80) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `associacao_cargos`
--

LOCK TABLES `associacao_cargos` WRITE;
/*!40000 ALTER TABLE `associacao_cargos` DISABLE KEYS */;
/*!40000 ALTER TABLE `associacao_cargos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `emails`
--

DROP TABLE IF EXISTS `emails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `emails` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `email_destino` varchar(80) DEFAULT NULL,
  `assunto` varchar(80) DEFAULT NULL,
  `assunto_detalhe` varchar(30) DEFAULT NULL,
  `mensagem` longtext,
  `data_envio` date DEFAULT NULL,
  `enabled` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `emails`
--

LOCK TABLES `emails` WRITE;
/*!40000 ALTER TABLE `emails` DISABLE KEYS */;
/*!40000 ALTER TABLE `emails` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entidade`
--

DROP TABLE IF EXISTS `entidade`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entidade` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(80) NOT NULL,
  `abreviatura` varchar(20) DEFAULT NULL,
  `telefone` int(9) DEFAULT NULL,
  `telemovel` int(9) DEFAULT NULL,
  `fax` int(9) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `localidade` varchar(80) DEFAULT NULL,
  `codigo_postal` varchar(8) DEFAULT NULL,
  `morada` longtext,
  `nif` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entidade`
--

LOCK TABLES `entidade` WRITE;
/*!40000 ALTER TABLE `entidade` DISABLE KEYS */;
/*!40000 ALTER TABLE `entidade` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entidade_documentos`
--

DROP TABLE IF EXISTS `entidade_documentos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entidade_documentos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_assoc` int(11) NOT NULL,
  `id_entidade` int(11) NOT NULL,
  `id_pagamento_tipo` int(11) DEFAULT NULL,
  `numero_documento` varchar(50) NOT NULL,
  `data_emissao` date NOT NULL,
  `montante_documento` float NOT NULL,
  `prazo_pagamento` date NOT NULL,
  `data_pagamento` date DEFAULT NULL,
  `observacoes` longtext,
  `ano` int(4) DEFAULT NULL,
  `mes` int(2) DEFAULT NULL,
  `dia` int(2) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entidade_documentos`
--

LOCK TABLES `entidade_documentos` WRITE;
/*!40000 ALTER TABLE `entidade_documentos` DISABLE KEYS */;
/*!40000 ALTER TABLE `entidade_documentos` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gmail_account`
--

DROP TABLE IF EXISTS `gmail_account`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `gmail_account` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gmail` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `enabled` int(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gmail_account`
--

LOCK TABLES `gmail_account` WRITE;
/*!40000 ALTER TABLE `gmail_account` DISABLE KEYS */;
/*!40000 ALTER TABLE `gmail_account` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `modalidade`
--

DROP TABLE IF EXISTS `modalidade`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `modalidade` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_assoc` int(11) NOT NULL,
  `nome` varchar(80) NOT NULL,
  `nome_responsavel` varchar(80) DEFAULT NULL,
  `observacoes` longtext,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `modalidade`
--

LOCK TABLES `modalidade` WRITE;
/*!40000 ALTER TABLE `modalidade` DISABLE KEYS */;
/*!40000 ALTER TABLE `modalidade` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `modalidade_socio`
--

DROP TABLE IF EXISTS `modalidade_socio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `modalidade_socio` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_assoc` int(11) NOT NULL,
  `id_modalidade` int(11) NOT NULL,
  `id_socio` int(11) NOT NULL,
  `data_adesao` date NOT NULL,
  `data_saida` date DEFAULT NULL,
  `promocao` float DEFAULT '0',
  `divida` float DEFAULT '0',
  `total_pago` float DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `modalidade_socio`
--

LOCK TABLES `modalidade_socio` WRITE;
/*!40000 ALTER TABLE `modalidade_socio` DISABLE KEYS */;
/*!40000 ALTER TABLE `modalidade_socio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pagamento_opcao`
--

DROP TABLE IF EXISTS `pagamento_opcao`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pagamento_opcao` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(80) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pagamento_opcao`
--

LOCK TABLES `pagamento_opcao` WRITE;
/*!40000 ALTER TABLE `pagamento_opcao` DISABLE KEYS */;
INSERT INTO `pagamento_opcao` VALUES (1,'Joia'),(2,'Quota'),(3,'Actividade');
/*!40000 ALTER TABLE `pagamento_opcao` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pagamento_tipo`
--

DROP TABLE IF EXISTS `pagamento_tipo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pagamento_tipo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(80) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pagamento_tipo`
--

LOCK TABLES `pagamento_tipo` WRITE;
/*!40000 ALTER TABLE `pagamento_tipo` DISABLE KEYS */;
INSERT INTO `pagamento_tipo` VALUES (1,'Dinheiro'),(2,'Cheque'),(3,'Multibanco'),(4,'Transferência Bancária'),(5,'Vales de Desconto'),(9,'Desconto Cartão Estudante');
/*!40000 ALTER TABLE `pagamento_tipo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quotas_socios`
--

DROP TABLE IF EXISTS `quotas_socios`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quotas_socios` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_assoc` int(11) NOT NULL,
  `id_modalidade` int(11) NOT NULL,
  `id_socio` int(11) DEFAULT NULL,
  `id_pagamento_tipo` tinyint(2) DEFAULT NULL,
  `id_pagamento_opcao` tinyint(2) DEFAULT '1',
  `ano` int(4) DEFAULT NULL,
  `mes` varchar(50) DEFAULT NULL,
  `mes_num` int(2) DEFAULT NULL,
  `montante` float DEFAULT '0',
  `total_pago` float DEFAULT '0',
  `total_divida` float DEFAULT '0',
  `desconto` float DEFAULT '0',
  `total_total` float DEFAULT '0',
  `data_pagamento` date DEFAULT NULL,
  `enabled` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quotas_socios`
--

LOCK TABLES `quotas_socios` WRITE;
/*!40000 ALTER TABLE `quotas_socios` DISABLE KEYS */;
/*!40000 ALTER TABLE `quotas_socios` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `receita_detalhes`
--

DROP TABLE IF EXISTS `receita_detalhes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `receita_detalhes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_assoc` int(11) NOT NULL,
  `id_receita_tipo` int(11) NOT NULL,
  `descricao` varchar(80) NOT NULL,
  `montante` float NOT NULL,
  `data` date DEFAULT NULL,
  `ano` int(4) DEFAULT NULL,
  `mes` int(2) DEFAULT NULL,
  `dia` int(2) DEFAULT NULL,
  `observacoes` longtext,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `receita_detalhes`
--

LOCK TABLES `receita_detalhes` WRITE;
/*!40000 ALTER TABLE `receita_detalhes` DISABLE KEYS */;
/*!40000 ALTER TABLE `receita_detalhes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `receita_tipo`
--

DROP TABLE IF EXISTS `receita_tipo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `receita_tipo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(80) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `receita_tipo`
--

LOCK TABLES `receita_tipo` WRITE;
/*!40000 ALTER TABLE `receita_tipo` DISABLE KEYS */;
/*!40000 ALTER TABLE `receita_tipo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `recibo_header`
--

DROP TABLE IF EXISTS `recibo_header`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `recibo_header` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_assoc` int(11) NOT NULL,
  `id_socio` int(11) NOT NULL,
  `nome_socio` varchar(80) DEFAULT NULL,
  `data_emisao` date DEFAULT NULL,
  `montante` float DEFAULT NULL,
  `total_desconto` float DEFAULT NULL,
  `total_total` float DEFAULT NULL,
  `montante_extenso` longtext,
  `ano` int(4) DEFAULT NULL,
  `mes` tinyint(2) DEFAULT NULL,
  `dia` tinyint(2) DEFAULT NULL,
  `enabled` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `recibo_header`
--

LOCK TABLES `recibo_header` WRITE;
/*!40000 ALTER TABLE `recibo_header` DISABLE KEYS */;
/*!40000 ALTER TABLE `recibo_header` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `socio`
--

DROP TABLE IF EXISTS `socio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `socio` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `codigo_interno` int(11) DEFAULT NULL,
  `nome` varchar(80) NOT NULL,
  `telefone` int(9) DEFAULT NULL,
  `telemovel` int(9) DEFAULT NULL,
  `fax` int(20) DEFAULT NULL,
  `email` varchar(80) DEFAULT NULL,
  `morada` longtext,
  `localidade` varchar(80) DEFAULT NULL,
  `codigo_postal` varchar(8) DEFAULT NULL,
  `observacoes` longtext,
  `data_nascimento` date DEFAULT NULL,
  `nif` int(10) DEFAULT NULL,
  `BICC` varchar(10) DEFAULT NULL,
  `sexo` varchar(10) NOT NULL,
  `tipo_socio` int(2) DEFAULT NULL,
  `data_entrada` date DEFAULT NULL,
  `data_saida` date DEFAULT NULL,
  `NIB` varchar(21) DEFAULT NULL,
  `divida` float DEFAULT NULL,
  `enabled` tinyint(1) DEFAULT '0',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `socio`
--

LOCK TABLES `socio` WRITE;
/*!40000 ALTER TABLE `socio` DISABLE KEYS */;
/*!40000 ALTER TABLE `socio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `socio_familiares`
--

DROP TABLE IF EXISTS `socio_familiares`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `socio_familiares` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_socio` int(11) NOT NULL,
  `id_agregado` int(11) NOT NULL,
  `tipo_agregado` varchar(40) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `socio_familiares`
--

LOCK TABLES `socio_familiares` WRITE;
/*!40000 ALTER TABLE `socio_familiares` DISABLE KEYS */;
/*!40000 ALTER TABLE `socio_familiares` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `socio_tipo`
--

DROP TABLE IF EXISTS `socio_tipo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `socio_tipo` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(80) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `socio_tipo`
--

LOCK TABLES `socio_tipo` WRITE;
/*!40000 ALTER TABLE `socio_tipo` DISABLE KEYS */;
INSERT INTO `socio_tipo` VALUES (1,'Efectivo'),(2,'Honorário'),(3,'Sócio de Formação'),(4,'Atleta'),(5,'Fundador'),(6,'OUTRO');
/*!40000 ALTER TABLE `socio_tipo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `utilizadores`
--

DROP TABLE IF EXISTS `utilizadores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `utilizadores` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` varchar(20) NOT NULL,
  `password` varchar(20) NOT NULL,
  `nivel_acesso` tinyint(2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `utilizadores`
--

LOCK TABLES `utilizadores` WRITE;
/*!40000 ALTER TABLE `utilizadores` DISABLE KEYS */;
INSERT INTO `utilizadores` VALUES (1,'admin','admin',1),(2,'qwerty','qwerty',1);
/*!40000 ALTER TABLE `utilizadores` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'quotagest'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-02-15 15:20:07
